## dods.dap.parser
Class DASParserTokenManager

    java.lang.Object
      dods.dap.parser.DASParserTokenManager

All Implemented Interfaces:
  DASParserConstants

public class DASParserTokenManager
extends Object
implements DASParserConstants

Field Summary
`protected char` `curChar`
`(package private) int` `curLexState`
`PrintStream` `debugStream`
`(package private) int` `defaultLexState`
`(package private) static long[]` `jjbitVec0`
`(package private) int` `jjmatchedKind`
`(package private) int` `jjmatchedPos`
`(package private) int` `jjnewStateCnt`
`(package private) static int[]` `jjnextStates`
`(package private) int` `jjround`
`static String[]` `jjstrLiteralImages`
`(package private) static long[]` `jjtoSkip`
`(package private) static long[]` `jjtoToken`
`static String[]` `lexStateNames`

Fields inherited from interface dods.dap.parser.DASParserConstants
`ALIAS, ATTR, BYTE, DEFAULT, EOF, FLOAT32, FLOAT64, INT16, INT32, STR, STRING, tokenImage, UINT16, UINT32, URL, WORD`

Constructor Summary
`DASParserTokenManager(SimpleCharStream stream)`
`DASParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### DASParserTokenManager

    public DASParserTokenManager(SimpleCharStream stream)

### DASParserTokenManager

    public DASParserTokenManager(SimpleCharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()